Loading...
Searching...
No Matches
Opm::BlackOilNewtonMethod< TypeTag > Class Template Reference

A newton solver which is specific to the black oil model. More...

`#include <blackoilnewtonmethod.hpp>`

Inheritance diagram for Opm::BlackOilNewtonMethod< TypeTag >:

## Public Member Functions

| BlackOilNewtonMethod (Simulator &simulator)
void | finishInit ()
| Finialize the construction of the object.
unsigned | numPriVarsSwitched () const
| Returns the number of degrees of freedom for which the interpretation has changed for the most recent iteration.
void | update_ (SolutionVector &nextSolution, const SolutionVector &currentSolution, const GlobalEqVector &solutionUpdate, const GlobalEqVector &currentResidual)
template<class DofIndices>
void | update_ (SolutionVector &nextSolution, const SolutionVector &currentSolution, const GlobalEqVector &solutionUpdate, const GlobalEqVector &currentResidual, const DofIndices &dofIndices)

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the blackoil newton method.

## Protected Member Functions

void | beginIteration_ ()
| Indicates the beginning of a Newton iteration.
void | endIteration_ (SolutionVector &uCurrentIter, const SolutionVector &uLastIter)
| Indicates that one Newton iteration was finished.
void | updatePrimaryVariables_ (unsigned globalDofIdx, PrimaryVariables &nextValue, const PrimaryVariables &currentValue, const EqVector &update, const EqVector &currentResidual)
| Update a single primary variables object.

## Protected Attributes

friend | NewtonMethod< TypeTag >
friend | ParentType

## Detailed Description

template<class TypeTag>
class Opm::BlackOilNewtonMethod< TypeTag >

A newton solver which is specific to the black oil model.

## Member Function Documentation

## beginIteration_()

template<class TypeTag>

void Opm::BlackOilNewtonMethod< TypeTag >::beginIteration_ | ( |  | ) |

inline protected

Indicates the beginning of a Newton iteration.

## endIteration_()

template<class TypeTag>

void Opm::BlackOilNewtonMethod< TypeTag >::endIteration_ | ( | SolutionVector & | uCurrentIter,
|  | const SolutionVector & | uLastIter )

inline protected

Indicates that one Newton iteration was finished.

Parameters

  nextSolution | The solution after the current Newton iteration
  currentSolution | The solution at the beginning of the current Newton iteration
  uCurrentIter | Current solution iterator
  uLastIter | Last solution iterator

## finishInit()

template<class TypeTag>

void Opm::BlackOilNewtonMethod< TypeTag >::finishInit | ( |  | ) |

inline

Finialize the construction of the object.

At this point, it can be assumed that all objects featured by the simulator have been allocated. (But not that they have been fully initialized yet.)

## updatePrimaryVariables_()

template<class TypeTag>

void Opm::BlackOilNewtonMethod< TypeTag >::updatePrimaryVariables_ | ( | unsigned | globalDofIdx,
|  | PrimaryVariables & | nextValue,
|  | const PrimaryVariables & | currentValue,
|  | const EqVector & | update,
|  | const EqVector & | currentResidual )

inline protected

Update a single primary variables object.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilnewtonmethod.hpp